---
name: Stan Brower
locality: Colorado Springs, CO
country: USA
role: <a href="/job-families/sales/strategic-account-leader/">Federal Strategic Account
  Leader; USAF</a>
reports_to: ralph-k
picture: stanbrower.jpg
twitter: 
gitlab: sbrower
departments:
- Sales
story: 'Joining February 2

'
